
Redmine - Defect #11053

Cannot delete issue

2012-05-30 15:46 - Antoine Rodriguez

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.0.1

Description

When we try to delete an issue, the webpage reacts but show again the issue that has been deleted.

1 - fresh redmine install

2 - Create project

3 - Create issue

4 - Delete issue <- impossible

In the log file of redmine everything is ok

Redmine version                          2.0.1.stable

Ruby version                             1.8.7 (x86_64-linux)

Rails version                            3.2.3

Environment                              production

Database adapter                         MySQL

History

#1 - 2012-05-30 17:14 - Antoine Rodriguez

I don't know if I must do another ticket but :

hen we try to delete a file inside that same issue, it show the download dialog instead of deleting the file.

#2 - 2012-05-30 19:50 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Sorry I can't fix anything with this bug report. Deleting an issue is part of the automated tests and works with a fresh Redmine install.

#3 - 2014-01-12 16:31 - dean chen

I ran into the same problem.

My redmine is 2.4.2. I can create a new project and delete it. but cannot delete the issue even using admin account.

My new project name is "ToDo", the new issue is called "mop the floor", just a testing issue. :)

Internal error

An error occurred on the page you were trying to access.

If you continue to experience problems please contact your Redmine administrator for assistance.

If you are the Redmine administrator, check your log files for details about the error.

Back

 My log file has some error info below:

Started DELETE "/issues/15" for 119.80.97.56 at 2014-01-12 23:36:11 +0800                                     

                                                                                                       

Processing by IssuesController#destroy as HTML                                                                

                                                                                                       

  Parameters: {"authenticity_token"=>"1B+9fGUOgXZ4mc3p2kibeQsWgOESmcgARpDiZHwisBI=", "id"=>"15"}              
  Current user: admin (id=1)                                                                                  

                                                                                                       

Completed 500 Internal Server Error in 38.1ms

ActiveRecord::StatementInvalid (Mysql2::Error: Table 'redmine.todo_items' doesn't exist: SHOW FULL FIELDS FROM

 `todo_items`):

  app/models/issue.rb:179:in `destroy'

  app/controllers/issues_controller.rb:329:in `block in destroy'

  app/controllers/issues_controller.rb:327:in `each'

  app/controllers/issues_controller.rb:327:in `destroy'

#4 - 2014-01-13 09:19 - Daniel Felix

Do you have Plugins installed?

redmine.todo_items is no table from a fresh redmine installation.

#5 - 2014-01-13 09:23 - dean chen

Daniel Felix wrote:

Do you have Plugins installed?

redmine.todo_items is no table from a fresh redmine installation.

 Yes, I have installed todo list plugin. I forgot to mention it before.

But I do not know how to uninstall it. :(

#6 - 2014-01-13 11:54 - Daniel Felix

rake redmine:plugins:migrate NAME=redmine_todo VERSION=0 RAILS_ENV=...

The name is the pluginname itself and Rails_env refers to your environment.

After uninstalling you can remove the plugin from the /plugins folder.

You can still remove the plugin from the folder /plugins without the migrate task, this way you will hold all database changes in your database.

Btw. the issue described above can occur with a wrong apache configuration or with a wrong mod_rewrite condition. In this cases you can refer to

your logs and see which route your last click used.

#7 - 2014-01-13 14:00 - dean chen

Thank you, after removing this plugin, this problem is sovled.
